Array.class_eval do
  def to_csv
    require 'csv'
    CSV.generate(:encoding => "utf-8") do |csv|
      self.each do |row|
        unless (row.empty? || row.nil?)
          csv << row
        end
      end
    end
  end
end

Hash.class_eval do
  def method_missing(name, *args, &block)
    self.has_key?(name.to_s) ? self[name.to_s] : super
  end
end